#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>

#include "rrclient.h"
#include "rrclientReplicantView.h"

const char *app_signature = "application/x-vnd.SerphWare-rrclient";

void Usage(int /*argc*/, char **argv)
{
	printf("Usage: %s [--deskbar]\n", argv[0]);
	exit(0);
}

int main(int argc, char **argv)
{
	int c;
	int install_in_deskbar = false;

	while(1){
	int option_index = 0;
	static struct option long_options[] = 
	{
		{"deskbar", 0, &install_in_deskbar, true},
		{0,0,0,0}
	};
	c = getopt_long (argc, argv, "hw:", long_options, &option_index);
		if (c == -1)
			break;
		switch(c) {
			case '?':
				Usage(argc,argv);
		}
	}
	if (optind < argc) {
		Usage(argc,argv);
	}
	else {
		rrclientApp app(/*install_in_deskbar*/1);
		app.Run();
	}
	return 0;
}